<?php
include("cp_header_adv.php");/**************************************************صفحة اضافة قائمة جديد*******************************************************************/


//ضمان عدم الاضافة مرتين
if(!isset($RequestSignature)){
$RequestSignature = md5($_SERVER['REQUEST_URI'].$_SERVER['QUERY_STRING'].print_r($_POST, true));
}

$extensionx='' ;
$filex='';


/*  اسم الجدول وبداية الكويرى */  
$table="menus";

//مسار رفع الملفات والصور
$src="../img/$table/";	
//وضع مسار رفع الملفات والصور فى سيشن
$_SESSION['upload_folder']=$table;


?>


<div id="cp_cont">
<div id="show_user_details"></div>
	

<?php
///تجنب اضافة سجل فى حالة اعادة تحميل الصفحة

if (isset($_SESSION['LastRequest']) && $_SESSION['LastRequest'] == $RequestSignature)
{
unset($_SESSION['LastRequest']);
echo"<script type='text/javascript'>
window.location.href = '".$_SERVER['PHP_SELF']."';
</script> ";
exit();
}
else{
  $_SESSION['LastRequest'] = $RequestSignature;

}


//فى حالة سبمت الفورم
if (isset($_POST['submit']) && $_POST['token_sec']==$_SESSION['token']  &&  $_POST['submit']=="اضافة") {
$keywords=$_POST['keywords'];


//وضع الفورم فى متغيرات
$title=str_replace("'","\'",$_POST['title']);


$parent=$_POST['parent'];
$created=date('Y-m-d H:i:s');



$active;


if(isset($_POST['active'])){
$active='1';
}else{
$active='0';	
}

//نحديد الرقم المتسلسل التالى
//تنفيذ الاستعلام
$result=mysqli_query($conn,"select max(`sort`)+1 as `sort_num` from $table");
$fetch =mysqli_fetch_array($result);
$sort_num=1;
if(is_numeric($fetch['sort_num'])){$sort_num=$fetch['sort_num'];}
$_SESSION['page_id']=$sort_num;
if($parent==''){$parent=$sort_num;}


   
//بداية الاستعلام
$query="INSERT INTO `menus`(`parent`,`sort`, `title`, `active`) VALUES 
('$parent','$sort_num','$title','$active')";

	


//بداية الاستعلام
$query= mysqli_prepare(

			$conn,

			"INSERT INTO `$table`

			(`parent`,`sort`,`title`, `active`,`created`,`user_created`) 

			VALUES 

			( ?, ?, ?, ? ,? ,? )");

		

			
			//نهيئة المتغيرات وحمايتها من الحقن
			mysqli_stmt_bind_param($query,'iisiss',
			
			  $parent,$sort_num,$title,$active,$created,$_SESSION[$domain."_user"]

			);

			
//تنفيذ الاستعلام وتخزين حالته
$execute_status=mysqli_stmt_execute($query);
			 
//فى حالة وجود اخطاء فى الاتصال بقاعدة البيانات
if(mysqli_error($conn)!=''){

				 $error_database_arr['err']=mysqli_error($conn);

				 $error_database_arr['err_num']= mysqli_errno($conn);

				 $error_database_arr['error_stmt']= mysqli_stmt_error($query);

			 }
	
//عدد السجلات التى تم تنفيذها
$affected_rows=mysqli_affected_rows($conn);

//فى حالة نجاح الاستعلام
if($execute_status==1){
	
echo "<div class='true'>تم رفع الوصف</div>";
$_SESSION['session_enable']='0'; 
 
}else{
err:	
echo "<div class='false'>لم يتم رفع الوصف</div>";  
 
  
		
}
 
   
$_POST['submit']=="اضافة2";
}
error:


?>
	
	
	
	
<div id="cp_title"> اضافة قائمة جديدة
<a  href="view_<?php echo $table; ?>.php?search=" style='background:url(../img/table.png);float:left;margin:10px 0px 5px 20px;color:var(--white);width:20px;height:20px;'></a>	
	
 </div>
<div id="cp_body">
<form id="app_form" enctype="multipart/form-data"  method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
<div class="cp_word_body">





<div class="cp_login_row " style="float:right;;height:120px">
<div class="cp_title "><span style="color:red">*</span>اسم القائمة</div>
<div class="cp_field">
<input alt="1" id="title" class="required" name="title" type="text" />
<div class="field_val "></div>	
</div>
</div>



<div class="cp_login_row half_row_wide_right"  style="float:right;display:none;">
<div class="cp_title">القائمة الام</div>
<div class="cp_field">

<select  alt="1" id="parent" class="requiredx" name="parent" >	
<option></option>
<?php
$query_menus="select id,title from menus";
$result_menus=mysqli_query($conn,$query_menus);



   /*بداية التكرار */  
while($fetch_menus = mysqli_fetch_array($result_menus)) {
   		 $fetch_menus = clean_array($fetch_menus); ?>

	<option value="<?php echo $fetch_menus['id'] ; ?>"><?php echo $fetch_menus['title'] ;?></option>

<?php }?>

</select>	


<div class="field_val"></div>	
</div>
</div>




<div class="cp_login_row"  >
<div class="cp_title">النشر</div>
<div class="cp_field">
<input alt="1" id="priority" name="active" type="checkbox" checked="checked"  />	
</div>
</div>	


<div class="cp_login_row">

<div class="cp_submit"><input  class="wymupdate" id="submit"  name="submit" value="اضافة"  title="دخول" type="submit"></div>

</div>
</div>
<input type="hidden" name="token_sec"  value='<?php echo $_SESSION['token']; ?>'> </form>
</div>
	
	
<div style="display:none" id="code_generator"></div>
</div>


<?php 
//تحميل الفوتر
include("cp_footer.php");?>